summaryrefslogtreecommitdiffstats
path: root/source.local/d/distcc
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2013-03-22 16:47:17 -0700
committer Eric Hameleers <alien@slackware.com>2013-03-22 16:47:17 -0700
commit69dd99f961988fa15da8d7f0d63b62f3385419c3 (patch)
treed57eb3e85e1d08e7815787de26946ee42c398b66 /source.local/d/distcc
downloadalienarm-69dd99f961988fa15da8d7f0d63b62f3385419c3.tar.gz
alienarm-69dd99f961988fa15da8d7f0d63b62f3385419c3.tar.xz
Initial commit of a Slackware cross-arch bootstrap framework.
Diffstat (limited to 'source.local/d/distcc')
-rw-r--r--source.local/d/distcc/distcc-2.18.3.tar.bz2.asc7
-rwxr-xr-xsource.local/d/distcc/distcc.SlackBuild110
-rw-r--r--source.local/d/distcc/slack-desc19
3 files changed, 136 insertions, 0 deletions
diff --git a/source.local/d/distcc/distcc-2.18.3.tar.bz2.asc b/source.local/d/distcc/distcc-2.18.3.tar.bz2.asc
new file mode 100644
index 0000000..a576919
--- /dev/null
+++ b/source.local/d/distcc/distcc-2.18.3.tar.bz2.asc
@@ -0,0 +1,7 @@
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v1.2.5 (GNU/Linux)
+
+iD8DBQBBrGqiPGPKP6Cz6IsRAgQDAKCCSzyCF/XSdLd3H4neD5+G5vI00QCgpH+9
+fXU6UuHR94kaOaFU5x5AFHs=
+=YyGV
+-----END PGP SIGNATURE-----
diff --git a/source.local/d/distcc/distcc.SlackBuild b/source.local/d/distcc/distcc.SlackBuild
new file mode 100755
index 0000000..0d473a8
--- /dev/null
+++ b/source.local/d/distcc/distcc.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified 2012 by Eric Hameleers <alien at slackware.com> for ARM port.
+
+
+VERSION=2.18.3
+BUILD=${BUILD:-2}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-distcc
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf distcc-$VERSION
+tar xvf $CWD/distcc-$VERSION.tar.bz2 || exit 1
+cd distcc-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# End of preparations
+if echo "$*" | grep -qw -- --prep ; then
+ exit 0
+fi
+
+./configure \
+ --prefix=/usr \
+ --datadir=/usr/share \
+ --sysconfdir=/etc \
+ --with-gtk \
+ --without-gnome \
+ --build=$TARGET
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG docdir=/usr/doc/distcc-$VERSION || exit 1
+
+# pkgdocdir=/usr/doc/distcc-$VERSION
+mkdir -p $PKG/usr/share/applications
+( cd $PKG/usr/share/applications
+ ln -sf /usr/share/distcc/distccmon-gnome.desktop .
+)
+
+gzip -9 $PKG/usr/man/man?/*
+
+# Restore original timestamps on the doc files:
+for file in * ; do
+ if [ -f $file ]; then
+ if [ -r $PKG/usr/doc/distcc-$VERSION/$file ]; then
+ cp -a $file $PKG/usr/doc/distcc-$VERSION/$file
+ chmod 644 $PKG/usr/doc/distcc-$VERSION/$file
+ fi
+ fi
+done
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/distcc-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source.local/d/distcc/slack-desc b/source.local/d/distcc/slack-desc
new file mode 100644
index 0000000..121e972
--- /dev/null
+++ b/source.local/d/distcc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+distcc: distcc (distributed C/C++ compiler/daemon)
+distcc:
+distcc: distcc allows compilation of C code to be distributed across several
+distcc: machines on a network. distcc should always generate the same results
+distcc: as a local compile, is simple to install and use, and is often
+distcc: significantly faster than a local compile.
+distcc:
+distcc: IMPORTANT SECURITY NOTE: distccd should only run on trusted networks.
+distcc:
+distcc: distcc was written by Martin Pool.
+distcc: